Bug 58121 - Parted resize failed, destroying data
Parted resize failed, destroying data
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-09 01:27 EST by Jakob Lorberblatt
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakob Lorberblatt 2002-01-09 01:27:39 EST
Description of Problem:

Well using parted to resize the third primary partition, on a SCSI
drive, It failed suddenly with the error "Invalid Block reference to 
block 2446007, Weird shouldn't happen" Resulting in the complete loss
of most of the /etc directory. As Best As I could determine, from unexpected
termination. The file's were all still present, but if accessed at all would
report "Input/output error". This is an educated guess, but most likely the
inodes referred to incorrect locations.
Version-Release number of selected component (if applicable):


How Reproducible:
Haven't tried, though used without error before

Steps to Reproduce:
1. Install RH7.2
2.  Decide to resize 3rd Partition.
3.  Open Parted, and VOILA! bad inode data.

Actual Results:
Error Message
"Invalid Block reference to block 2446007, Weird shouldn't happen"
Input/output errors following.

Expected Results:
Partition to be moved back from the end of the drive about 4Gig

Additional Information:

I am running, a SMP machine with a 440GX chipset and dual 450mhz.
512M ECC 100Mhz SDRAM, The SCSI controller is an integrated aic7896 and the
drive was an 18.2G 7200RPM Western Digital. The kernel I was runnign at the time
of the bug was 2.4.7-10enterpise
Comment 1 Matt Wilson 2002-04-16 17:03:49 EDT
I believe this was fixed for 1.4.24, in rawhide.  I don't suppose there's any
way to confirm that?
Comment 2 Michael Fulbright 2002-05-13 15:19:13 EDT
Closing due to inactivity, please reopen if you have any additional information.
Comment 3 Jakob Lorberblatt 2002-05-14 07:33:08 EDT
Yes, I could recreate that, with some difficulty, I'll let you know if the 
1.4.24 Version of parted is failable in this situation. It might take some time 
though.
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:19 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.